Subject: Re: linux-next: Signed-off-by missing for commit in the mediatek tree

From: AngeloGioacchino Del Regno <[email-masked]>
Date: Thu, 10 Oct 2024 11:21:03 +0200

Il 09/10/24 22:53, Konstantin Ryabitsev ha scritto:
> On Wed, Oct 09, 2024 at 09:52:14AM GMT, AngeloGioacchino Del Regno wrote:
>>>     65b99309a9c1 ("arm64: dts: mt8183: Damu: add i2c2's i2c-scl-internal-delay-ns")
>>>     025869564bf8 ("arm64: dts: mt8183: cozmo: add i2c2's i2c-scl-internal-delay-ns")
>>>     3d3bc7cb46e8 ("arm64: dts: mt8183: burnet: add i2c2's i2c-scl-internal-delay-ns")
>>>     5bbddfd0470f ("arm64: dts: mt8183: fennel: add i2c2's i2c-scl-internal-delay-ns")
>>> (The above also has an empty Reviewed-by tag)
>>>     ca80f75083f6 ("arm64: dts: mt8183: set DMIC one-wire mode on Damu")
>>>
>>> are missing a Signed-off-by from their authors.
>>>
>>
>> The empty R-b happened because b4 didn't interpret "<email>2" correctly
>> and dropped the email entirely. We should probably report that to the authors.
> 
> Consider it reported. :) However, I'm not sure I understand what the situation
> is. When I pull that series with ``b4 -slH shazam``, all the trailers are
> properly preserved as far as I can tell:
> 
>      arm64: dts: mt8183: Damu: add i2c2's i2c-scl-internal-delay-ns
> 
>      Add i2c2's i2c-scl-internal-delay-ns.
> 
>      Fixes: cabc71b08eb5 ("arm64: dts: mt8183: Add kukui-jacuzzi-damu board")
>      Reviewed-by: Matthias Brugger <[email-masked]>
>      Reviewed-by: AngeloGioacchino Del Regno <[email-masked]>
>      Signed-off-by: Daolong Zhu <[email-masked]>
>      Signed-off-by: Hsin-Te Yuan <[email-masked]>
>      Link: https://lore.kernel.org/r/[email-masked]
>      Signed-off-by: Konstantin Ryabitsev <[email-masked]>
> 
> -K

Uhm, maybe I'm using an older version of b4 - I admit I haven't updated it in the
last (more than) 6 months.

I'll recheck as soon as I can after updating.